//+------------------------------------------------------------------+
//|                                       TestMode_visual_tester.mq5 |
//|                                           Copyright 2014, denkir |
//|                           https://login.mql5.com/ru/users/denkir |
//+------------------------------------------------------------------+
#property copyright "Copyright 2014, denkir"
#property link      "https://login.mql5.com/ru/users/denkir"
#property version   "1.00"
//---
#include "Modes.mqh"
//+------------------------------------------------------------------+
//| Inputs                                                           |
//+------------------------------------------------------------------+
sinput string Info_Macd="+===--MACD--====+";   // +===--MACD--====+
input int InpFastEma=12;                           //   EMA
input int InpSlowEma=26;                           //   EMA
input int InpSig=9;                                //  
input ENUM_APPLIED_PRICE InpAppPrice=PRICE_CLOSE;  //  
sinput string Info_general="+===----====+";   // +===----====+
input uint InpTrailing=175;                        // ,
input uint InpTrailStep=50;                        //  ,
//+------------------------------------------------------------------+
//| Globals                                                          |
//+------------------------------------------------------------------+
CModeBase *ptr_myMode=NULL;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
  {
//---
   if(ptr_myMode.CheckMqlMode()==MQL_MODE_VISUAL)
     {
      ptr_myMode=new CModeVisual;
      //---
      if(CheckPointer(ptr_myMode)==POINTER_DYNAMIC)
         if(ptr_myMode.Init(InpFastEma,InpSlowEma,InpSig,InpAppPrice))
           {
            ptr_myMode.SetTrailing(InpTrailing,InpTrailStep);
            return INIT_SUCCEEDED;
           }
     }
   else
      Print("Failed to start the Visual Tester mode!");

//---
   return INIT_FAILED;
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
  {
   if(CheckPointer(ptr_myMode)==POINTER_DYNAMIC)
      delete ptr_myMode;
  }
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
   ptr_myMode.Main();
  }
//+------------------------------------------------------------------+
//| Tester function                                                  |
//+------------------------------------------------------------------+
double OnTester()
  {
//---
   double ret=0.0;
//---

//---
   return(ret);
  }
//+------------------------------------------------------------------+
